# Interface CreateLinkOptions

interface CreateLinkOptions {
autoConvertToImage ?: boolean;
referenceLink ?: boolean;
showNoteIcon ?: boolean;
showNotePath ?: boolean;
showTooltip ?: boolean;
title ?: string;
viewScope ?: ViewScope ;
}

- Defined in src/public/app/services/link.ts:63

##### Index

### Properties

autoConvertToImage?
referenceLink?
showNoteIcon?
showNotePath?
showTooltip?
title?
viewScope?

## Properties

### `Optional` autoConvertToImage

autoConvertToImage?: boolean

- Defined in src/public/app/services/link.ts:69

### `Optional` referenceLink

referenceLink?: boolean

- Defined in src/public/app/services/link.ts:68

### `Optional` showNoteIcon

showNoteIcon?: boolean

- Defined in src/public/app/services/link.ts:67

### `Optional` showNotePath

showNotePath?: boolean

- Defined in src/public/app/services/link.ts:66

### `Optional` showTooltip

showTooltip?: boolean

- Defined in src/public/app/services/link.ts:65

### `Optional` title

title?: string

- Defined in src/public/app/services/link.ts:64

### `Optional` viewScope

viewScope?: ViewScope

- Defined in src/public/app/services/link.ts:70